Subject: bug#9918: 24.0.90; lazy-highlighting in Info mode

From: "Drew Adams" <[email-masked]>
Date: Mon, 31 Oct 2011 14:00:03 -0700

> > >From "emacs -Q":
> > 1. Open Info node "(emacs)Top" (C-h r).
> > 2. Move point to the end of the first paragraph.
> > 3. Type "C-s extensible".
> > 
> > The word "extensible" (in the first line of the paragraph) should be
> > lazy-highlighted, as happens if you repeat the experiment 
> > after doing "M-x text-mode".
> 
> This is a feature.  info.el sets isearch-search-fun-function to
> Info-isearch-search, which by default searches in a special way (you
> should see the "Failing I-search" message in the echo are).  If you
> don't want this behavior, try customizing Info-isearch-search to nil.
> 
> I think this bug report can be closed.

Hm.  Obviously this is _not_ TRT from a user point of view.  This happens _only_
when there is only one match of the search pattern and that match is before
point.  And AFAICT it happens _only_ in Info.

Yes, Isearch forward means Isearch _forward_.  But as Dani points out, in other
buffers even a singleton occurrence that precedes point gets highlighted.

This is a bug, IMHO.  It should not be closed.  Whether it is a high priority
for being fixed is another matter, but it should not be closed just because
Isearch is a bit special in Info.  That's just a cop-out.  Feature, indeed!
What we should say is "Good catch, Dani - thanks."